1

I am running Mac OS Mojave, and want to use biblatex with biber.

I am not 100% sure, but I think I initially installed the 'lite' version of tex-live so that I have to manually install various packages (because of storage limitations), biber was thus not installed by default.

I downloaded biber from here, but running it gives the error:

Can't locate PAR.pm in @INC (you may need to install the PAR module)

I then did cpan install PAR, which gives:

Reading '/Users/user/.cpan/Metadata'
  Database was generated on Wed, 02 Jan 2019 10:41:03 GMT
PAR is up to date (1.015).

But I still get the same error from running biber as shown above.

Any idea why I would be getting this error?

  • 1
    Don't install Biber from Sourceforge unless you absolutely have to. If you installed TeX live or Mac TeX from TUG you should be able to run tlmgr or the TeX Live Utility to install Biber. – moewe Jan 2 at 13:16
  • Thanks, tlmgr install biber worked! – Mike Jan 2 at 13:25
1

It should always be the last resort to install Biber (or biblatex) from Sourceforge. You usually get better results and into less trouble when you install packages via your TeX distribution.

With MacTeX/TeX live you can either say

tlmgr install biber

in the command line or use the GUI TeX Live Utility.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.